BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 09-07-2011, 01:37 PM   #1 (permalink)
New Member
 
Join Date: Sep 2011
Model: 9650
PIN: N/A
Carrier: Alltel
Posts: 2
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default BES Express 5.0.2 -> 5.0.3 upgrade fails MAPI Error

Please Login to Remove!

I just upgraded my perfectly working BESX 5.0.2(over a year) to 5.0.3 (Bundle 12) & the last part of the setup fails. It populates server name & mailbox automatically after pressing 'check name', then after 'next' I get: 'Setup could not initialize MS MAPI client...' as seen here exactly: KB25752

I then uninstalled MAPI/CDIO as prescribed here: KB15779-How to install or upgrade the Microsoft Exchange Server MAPI Client and Collaboration Data Objects 1.2.1 However I could not fo the 'Recreate the MAPI Profile' because when I try to open BlackBerry Server Configuration it says it can't open it until setup finishes, which makes sense as it's stuck in the middle of setting it up BESX 5.0.3 upgrade.

Exhange Server 2007, Windows Server 2003 x64.

I thought it would be a good idea to upgrade since I have a 9930 coming tomorrow to replace my 9650. Now I wish I would have never touched the server.



Please help me Knottyrope. Thanks.
Offline  
Old 09-09-2011, 05:03 AM   #2 (permalink)
BlackBerry Extraordinaire
 
Join Date: Mar 2006
Model: 9700
Carrier: t-mobile Germany
Posts: 1,366
Post Thanks: 11
Thanked 69 Times in 66 Posts
Default Re: BES Express 5.0.2 -> 5.0.3 upgrade fails MAPI Error

Have you tried to restart the installation now, after reinstalling mapi, using 5.0.3 or the 5.0.2 installer ?

Also, unless you accidentally delete the database of the BES, it should be safe to remove the BES software, then again install it from scratch, using the existent database.

maybe, before doing this, make a copy of the mssql database to a safe location.
Posted via BlackBerryForums.com Mobile
Offline  
Old 09-13-2011, 06:43 PM   #3 (permalink)
New Member
 
Join Date: Sep 2011
Model: 9650
PIN: N/A
Carrier: Alltel
Posts: 2
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default Re: BES Express 5.0.2 -> 5.0.3 upgrade fails MAPI Error

I resolved it. BESAdmin was hidden from the GAL.
Offline  
Old 09-14-2011, 07:22 AM   #4 (permalink)
BlackBerry Extraordinaire
 
Join Date: Mar 2006
Model: 9700
Carrier: t-mobile Germany
Posts: 1,366
Post Thanks: 11
Thanked 69 Times in 66 Posts
Default Re: BES Express 5.0.2 -> 5.0.3 upgrade fails MAPI Error

good to know !
Offline  
Closed Thread


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On

Similar Threads for: BES Express 5.0.2 -> 5.0.3 upgrade fails MAPI Error
Thread Thread Starter Forum Replies Last Post
Can someone decipher the pttrace.log file ? twirlspin BlackBerry Help 1 05-02-2011 09:16 PM
Knowledge Sharing - BES/SBE/BPS 4.x upgrade options to BES Express 5. knottyrope BES Admin Corner 5 03-12-2010 04:22 PM
BES v4.1 SP6 - Database Upgrade Error aarrarte BES Admin Corner 1 09-12-2008 04:50 PM
Errors observed on the BES pankajppawar BES Admin Corner 1 09-27-2007 08:35 AM
Can't Sync Calendar to Outlook 2003 bpdunsta RIM Software 7 08-17-2007 10:10 PM





Copyright 2004-2014 BlackBerryForums.com.
The names RIM and BlackBerry are registered Trademarks of BlackBerry Inc.